org.jbpm.kie.services.impl

## Class IdentityProviderAwareProcessListener

- java.lang.Object
- - org.jbpm.kie.services.impl.IdentityProviderAwareProcessListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener

      public class IdentityProviderAwareProcessListener
      extends Object
      implements org.kie.api.event.process.ProcessEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderAwareProcessListener(org.kie.api.runtime.KieSession ksession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)`
    `void` | `afterNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)`
    `void` | `afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`
    `void` | `afterProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)`
    `void` | `afterVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)`
    `void` | `beforeNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)`
    `void` | `beforeNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)`
    `void` | `beforeProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`
    `void` | `beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)`
    `void` | `beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProviderAwareProcessListener

          public IdentityProviderAwareProcessListener(org.kie.api.runtime.KieSession ksession)

  - ### Method Detail

    - #### beforeProcessStarted

          public void beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)

      Specified by:
        `beforeProcessStarted` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### afterProcessStarted

          public void afterProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)

      Specified by:
        `afterProcessStarted` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### beforeProcessCompleted

          public void beforeProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `beforeProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### afterProcessCompleted

          public void afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `afterProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### beforeNodeTriggered

          public void beforeNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

      Specified by:
        `beforeNodeTriggered` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### afterNodeTriggered

          public void afterNodeTriggered(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

      Specified by:
        `afterNodeTriggered` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### beforeNodeLeft

          public void beforeNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)

      Specified by:
        `beforeNodeLeft` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### afterNodeLeft

          public void afterNodeLeft(org.kie.api.event.process.ProcessNodeLeftEvent event)

      Specified by:
        `afterNodeLeft` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### beforeVariableChanged

          public void beforeVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)

      Specified by:
        `beforeVariableChanged` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### afterVariableChanged

          public void afterVariableChanged(org.kie.api.event.process.ProcessVariableChangedEvent event)

      Specified by:
        `afterVariableChanged` in interface `org.kie.api.event.process.ProcessEventListener`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.